# SWDB

# application/actionnew_team.php

File for the team creation action.

Implements an action function to be called from the {@see Controller}.

Package
  \Default

## Tags

category | Action

## Functions

### action()

    action(resource  $db = null) : integer

Logs the user out and redirects to the login page.

Reads the POST parameters looking for the following KEYS: uid area_type area stage difficulty ids name description Validates the data and creates the team in the database.

#### Parameters

resource | $db | Database connection.

#### Returns

integer —

0 on success, negative values on error.

#

File
  application/action/new_team.php

## Tags

package | Default
category | Action
global | int[] Area types. int[] Difficulty levels. int[] Scenario areas. int[] Dungeon sections. int[] Elemental rift dungeons. int[] Labyrinth stage types.

###